// ck4dump.c Dan Olson
// Dangerous Dave sound support by Frenkel Smeijers
#include <stdio.h>
#include <malloc.h>

int main()
{
	unsigned char *sounds;
	FILE *dave, *newfile;

	dave = fopen("dave.exe", "rb");
	if (dave == NULL)
	{
		fprintf (stderr, "Couldn't open DAVE.EXE.\n");
		return -1;
	}

	// Do sounds.dav
	fseek(dave, 0x1C4E0, SEEK_SET);
	sounds = (unsigned char *)malloc(0x1294);
	if (sounds == NULL)
	{
		fprintf (stderr, "Couldn't allocate memory\n");
		return -1;
	}
	fread(sounds, sizeof(unsigned char), 0x1294, dave);
	newfile = fopen("sounds.dav", "wb");
	if (newfile == NULL)
	{
		fprintf(stderr, "Couldn't create SOUNDS.DAV\n");
		return -1;
	}

	fwrite(sounds, sizeof(unsigned char), 0x1294, newfile);
	fclose(newfile);

	free(sounds);
	printf ("SOUNDS.DAV written...\n");

	fclose(dave);

	printf ("Done.\n");
	return 1;
}
